import { OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ButtonComponent implements OnInit {
    constructor();
    ngOnInit(): void;
    size: 'small' | 'medium' | 'large';
    rounded: 'small' | 'medium' | 'large' | 'full' | 'none';
    fillMode: 'solid' | 'flat' | 'outline' | 'clear' | 'link' | 'none';
    themeColor: 'base' | 'primary' | 'secondary' | 'tertiary' | 'info' | 'success' | 'warning' | 'error' | 'dark' | 'light' | 'inverse';
    label: string;
    iconName: string;
    onButtonClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ButtonComponent, "lib-button", never, { "size": "size"; "rounded": "rounded"; "fillMode": "fillMode"; "themeColor": "themeColor"; "label": "label"; "iconName": "iconName"; }, {}, never, ["*"], false>;
}
