import { EventEmitter, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { CheckBoxRounded, InputSize } from '@progress/kendo-angular-inputs';
import * as i0 from "@angular/core";
export declare class CheckboxComponent implements OnInit {
    control: FormControl;
    id: string;
    size: InputSize;
    rounded: CheckBoxRounded;
    label: string;
    labelPosition: 'before' | 'after';
    modelChange: EventEmitter<Boolean>;
    constructor();
    ngOnInit(): void;
    emitValueChange(ev: Boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CheckboxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CheckboxComponent, "lib-checkbox", never, { "control": "control"; "id": "id"; "size": "size"; "rounded": "rounded"; "label": "label"; "labelPosition": "labelPosition"; }, { "modelChange": "modelChange"; }, never, never, false>;
}
