import { OnInit } from '@angular/core';
import { NotificationService } from '@progress/kendo-angular-notification';
import * as i0 from "@angular/core";
declare type HorizontalPosition = 'left' | 'center' | 'right';
declare type VerticalPosition = 'top' | 'bottom';
declare type style = 'none' | 'success' | 'error' | 'warning' | 'info';
declare type animation_type = 'slide' | 'fade';
export declare class NotificationComponent implements OnInit {
    private notificationService;
    content: string;
    hideAfter: number;
    position_horizontal: HorizontalPosition;
    position_vertical: VerticalPosition;
    animation_type: animation_type;
    animation_duration: number;
    type_style: style;
    type_icon: boolean;
    constructor(notificationService: NotificationService);
    ngOnInit(): void;
    showNotification(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NotificationComponent, "lib-notification", never, { "content": "content"; "hideAfter": "hideAfter"; "position_horizontal": "position_horizontal"; "position_vertical": "position_vertical"; "animation_type": "animation_type"; "animation_duration": "animation_duration"; "type_style": "type_style"; "type_icon": "type_icon"; }, {}, never, never, false>;
}
export {};
