import { EventEmitter, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class RadioButtonComponent implements OnInit {
    size: "small" | "medium" | "large" | "none";
    name: string;
    value: string;
    control: FormControl;
    label: string;
    labelPosition: "before" | "after";
    id: string;
    model: string;
    modelChange: EventEmitter<string>;
    constructor();
    ngOnInit(): void;
    emitModelChange(ev: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RadioButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RadioButtonComponent, "lib-radio-button", never, { "size": "size"; "name": "name"; "value": "value"; "control": "control"; "label": "label"; "labelPosition": "labelPosition"; "id": "id"; "model": "model"; }, { "modelChange": "modelChange"; }, never, never, false>;
}
