import { ChangeDetectorRef, ElementRef, OnInit, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class DialogComponent implements OnInit {
    private elt;
    private ref;
    private renderer;
    contentRef: ElementRef | undefined;
    dialogRef: ElementRef | undefined;
    width: string | number;
    height: string | number;
    minWidth: string | number;
    maxWidth: string | number;
    minHeight: string | number;
    maxHeight: string | number;
    opened: true | false;
    constructor(elt: ElementRef, ref: ChangeDetectorRef, renderer: Renderer2);
    ngOnInit(): void;
    open: () => void;
    close: (status: string) => void;
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DialogComponent, "lib-dialog", never, { "width": "width"; "height": "height"; "minWidth": "minWidth"; "maxWidth": "maxWidth"; "minHeight": "minHeight"; "maxHeight": "maxHeight"; "opened": "opened"; }, {}, never, ["*"], false>;
}
