import { EventEmitter, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class DropdownComponent implements OnInit {
    id: string;
    label: string;
    data: Array<any>;
    disabled: boolean;
    clearButton: boolean;
    fillMode: "flat" | "solid" | "outline" | "none";
    filterable: boolean;
    placeholder: string;
    readonly: boolean;
    rounded: "small" | "medium" | "large" | "full" | "none";
    size: "small" | "medium" | "large" | "none";
    suggest: boolean;
    textField: string;
    value: any;
    valueField: string;
    valuePrimitive: boolean;
    model: any;
    modelChange: EventEmitter<any>;
    control: FormControl;
    constructor();
    ngOnInit(): void;
    emitModelChange(ev: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DropdownComponent, "lib-dropdown", never, { "id": "id"; "label": "label"; "data": "data"; "disabled": "disabled"; "clearButton": "clearButton"; "fillMode": "fillMode"; "filterable": "filterable"; "placeholder": "placeholder"; "readonly": "readonly"; "rounded": "rounded"; "size": "size"; "suggest": "suggest"; "textField": "textField"; "value": "value"; "valueField": "valueField"; "valuePrimitive": "valuePrimitive"; "model": "model"; "control": "control"; }, { "modelChange": "modelChange"; }, never, never, false>;
}
