import { EventEmitter, OnInit } from '@angular/core';
import { SelectableSettings, SelectableMode } from '@progress/kendo-angular-grid';
import * as i0 from "@angular/core";
export declare class GridComponent implements OnInit {
    constructor();
    ngOnInit(): void;
    gridData: any;
    columnData: any;
    pageSize: number;
    pageable: boolean;
    sortable: boolean;
    groupable: boolean;
    reorderable: boolean;
    resizable: boolean;
    checkBoxWidth: number;
    checkBoxColumnResizable: boolean;
    checkBoxColumnMenu: boolean;
    checkBoxColumnShowSelectedAll: boolean;
    checkBoxRequired: boolean;
    columnMenu: boolean;
    mode: SelectableMode | undefined;
    checkboxOnly: boolean;
    drag: boolean;
    navigable: boolean;
    height: number;
    kendoGridSelectByVal: string;
    selectedRowData: EventEmitter<any[]>;
    extractDataItems: any;
    selectableSettings: SelectableSettings;
    setSelectableSettings(): void;
    selectedKeysChange(rows: number[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GridComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GridComponent, "lib-grid", never, { "gridData": "gridData"; "columnData": "columnData"; "pageSize": "pageSize"; "pageable": "pageable"; "sortable": "sortable"; "groupable": "groupable"; "reorderable": "reorderable"; "resizable": "resizable"; "checkBoxWidth": "checkBoxWidth"; "checkBoxColumnResizable": "checkBoxColumnResizable"; "checkBoxColumnMenu": "checkBoxColumnMenu"; "checkBoxColumnShowSelectedAll": "checkBoxColumnShowSelectedAll"; "checkBoxRequired": "checkBoxRequired"; "columnMenu": "columnMenu"; "mode": "mode"; "checkboxOnly": "checkboxOnly"; "drag": "drag"; "navigable": "navigable"; "height": "height"; "kendoGridSelectByVal": "kendoGridSelectByVal"; }, { "selectedRowData": "selectedRowData"; }, never, never, false>;
}
