import { AfterViewInit, EventEmitter } from '@angular/core';
import { FormControl } from '@angular/forms';
import { AutoCompleteComponent } from '@progress/kendo-angular-dropdowns';
import * as i0 from "@angular/core";
export declare class SearchBoxComponent implements AfterViewInit {
    autocomplete: AutoCompleteComponent;
    source: Array<string>;
    data: Array<string>;
    filterable: boolean;
    size: 'small' | 'medium' | 'large' | 'none';
    icon: string;
    autoComplete: boolean;
    placeholder: string;
    width: number;
    suggest: boolean;
    modelChange: EventEmitter<String>;
    control: FormControl;
    constructor();
    ngAfterViewInit(): void;
    emitValueChange(ev: String): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SearchBoxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SearchBoxComponent, "lib-search-box", never, { "source": "source"; "data": "data"; "filterable": "filterable"; "size": "size"; "icon": "icon"; "autoComplete": "autoComplete"; "placeholder": "placeholder"; "width": "width"; "suggest": "suggest"; "control": "control"; }, { "modelChange": "modelChange"; }, never, never, false>;
}
