import { OnInit, EventEmitter } from '@angular/core';
import { FormControl } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class TextboxComponent implements OnInit {
    clearButton: boolean;
    placeholder: string;
    width: string;
    disabled: boolean;
    readonly: boolean;
    size: "small" | "medium" | "large";
    rounded: "small" | "medium" | "large" | "full" | "none";
    fillMode: "solid" | "flat" | "outline" | "none";
    control: FormControl;
    modelChange: EventEmitter<String>;
    constructor();
    ngOnInit(): void;
    emitValueChange(ev: String): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextboxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextboxComponent, "lib-textbox", never, { "clearButton": "clearButton"; "placeholder": "placeholder"; "width": "width"; "disabled": "disabled"; "readonly": "readonly"; "size": "size"; "rounded": "rounded"; "fillMode": "fillMode"; "control": "control"; }, { "modelChange": "modelChange"; }, never, never, false>;
}
